Texa Desk Application API · Integrations
Update an Integration Hook
PATCH/
Authorization
api_access_tokenheaderrequiredA person's access token (Texa Desk, Profile settings → Access token) or an agent bot's token, in the api_access_token header. It acts as that person, with their role's permissions.
Path parameters
account_idintegerrequiredThe numeric ID of the account
hook_idintegerrequiredThe numeric ID of the integration hook
Body application/json
statusintegerThe status of the integration (0 for inactive, 1 for active)
settingsobjectThe settings required by the integration
Responses
200Success
idstringThe ID of the integration hook
app_idstringThe ID of the integration app
inbox_idstringInbox ID if its an Inbox integration
account_idstringAccount ID of the integration
statusbooleanWhether the integration hook is enabled for the account
hook_typebooleanWhether its an account or inbox integration hook
settingsobjectThe associated settings for the integration
401Unauthorized
descriptionstringerrorsarray of objecterrors[].fieldstringerrors[].messagestringerrors[].codestring